<?php declare(strict_types=1);

namespace App\Dto\Builder;

use App\Dto\Builder\DocumentationCategory\Category;

final readonly class Documentation
{
    public function __construct(
        private ?bool     $isPublic = null,
        private ?Category $categoryId = null,
    ) { }

    public function isPublic(): ?bool
    {
        return $this->isPublic;
    }

    public function getCategoryId(): ?Category
    {
        return $this->categoryId;
    }
}
