<?php declare(strict_types=1);

namespace App\Dto\Service\Admin\Project\About;

use App\Dto\Service\Dto;
use App\Dto\Service\Storage\Storages;

final readonly class StoreUpdate extends Dto
{
    public function __construct(
        private string $title,
        private string $description,
        private Storages $storages,
        private bool $isTranslateAutomatically = false,
    ) { }

    public function getTitle(): string
    {
        return $this->title;
    }

    public function getDescription(): string
    {
        return $this->description;
    }

    public function getStorages(): Storages
    {
        return $this->storages;
    }

    public function isTranslateAutomatically(): bool
    {
        return $this->isTranslateAutomatically;
    }
}
