<?php declare(strict_types=1);

namespace App\Dto\Service\Admin\Project\Documentation;

use App\Dto\Service\Admin\Project\DocumentationContent\Contents;
use App\Dto\Service\Dto;

final readonly class StoreUpdate extends Dto
{
    public function __construct(
        private string $slug,
        private bool $isPublic,
        private int       $sort,
        private Contents  $contents,
        private ?int $categoryId,
    ) { }

    public function getSlug(): string
    {
        return $this->slug;
    }

    public function isPublic(): bool
    {
        return $this->isPublic;
    }

    public function getCategoryId(): ?int
    {
        return $this->categoryId;
    }

    public function getSort(): int
    {
        return $this->sort;
    }

    public function getContents(): Contents
    {
        return $this->contents;
    }
}
