<?php declare(strict_types=1);

namespace App\Dto\Service\Admin\Project\DocumentationCategory;

use App\Dto\Service\Admin\Project\DocumentationCategoryContent\Contents;
use App\Dto\Service\Dto;

final readonly class StoreUpdate extends Dto
{
    public function __construct(
        private string    $slug,
        private bool      $isPublic,
        private int       $sort,
        private Contents  $contents,
        private ?int      $parentId,
    ) { }

    public function getSlug(): string
    {
        return $this->slug;
    }

    public function isPublic(): bool
    {
        return $this->isPublic;
    }

    public function getSort(): int
    {
        return $this->sort;
    }

    public function getParentId(): ?int
    {
        return $this->parentId;
    }

    public function getContents(): Contents
    {
        return $this->contents;
    }
}
