<?php declare(strict_types=1);

namespace App\Dto\Service\Admin\Project\DocumentationContent;

use App\Dto\Service\Storage\Storages;

final readonly class Content
{
    public function __construct(
        private int    $languageId,
        private string $title,
        private string $content,
        private Storages $storages,
        private bool $isTranslateAutomatically = false,
    ) { }

    public function getLanguageId(): int
    {
        return $this->languageId;
    }

    public function getTitle(): string
    {
        return $this->title;
    }

    public function getContent(): string
    {
        return $this->content;
    }

    public function getStorages(): Storages
    {
        return $this->storages;
    }

    public function isTranslateAutomatically(): bool
    {
        return $this->isTranslateAutomatically;
    }
}
