<?php declare(strict_types=1);

namespace App\Dto\Service\Admin\Project\DocumentationVersion;

use App\Dto\Service\Dto;
use App\Enums\DocumentationVersionStatus;

final readonly class StoreUpdate extends Dto
{
    public function __construct(
        private string $title,
        private string $slug,
        private bool $isPublic,
        private DocumentationVersionStatus $status,
    ) { }

    public function getTitle(): string
    {
        return $this->title;
    }

    public function getSlug(): string
    {
        return $this->slug;
    }

    public function isPublic(): bool
    {
        return $this->isPublic;
    }

    public function getStatus(): DocumentationVersionStatus
    {
        return $this->status;
    }
}
