<?php declare(strict_types=1);

namespace App\Dto\Service\Admin\Project;

use App\Dto\Service\Dto;
use App\Enums\Lang;

final readonly class Language extends Dto
{
    public function __construct(
        private string  $title,
        private string  $code,
        private int     $sort,
        private bool    $isDefault,
        private ?string $isoCode = null,
        private ?Lang   $systemLang = null,
        private ?int    $id = null,
    ) { }

    public function getTitle(): string
    {
        return $this->title;
    }

    public function getCode(): string
    {
        return $this->code;
    }

    public function getSort(): int
    {
        return $this->sort;
    }

    public function isDefault(): bool
    {
        return $this->isDefault;
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getIsoCode(): ?string
    {
        return $this->isoCode;
    }

    public function getSystemLang(): ?Lang
    {
        return $this->systemLang;
    }
}
