<?php declare(strict_types=1);

namespace App\Dto\Service\Admin\Project;

use App\Dto\Service\Dto;
use App\Dto\Service\Storage\Storages;

final readonly class StoreUpdate extends Dto
{
    public function __construct(
        private string $name,
        private string $code,
        private bool $isPublic,
        private Languages $languages,
        private Storages $storages,
        private ?string $httpHost,
    ) { }

    public function getName(): string
    {
        return $this->name;
    }

    public function getCode(): string
    {
        return $this->code;
    }

    public function isPublic(): bool
    {
        return $this->isPublic;
    }

    public function getLanguages(): Languages
    {
        return $this->languages;
    }

    public function getHttpHost(): ?string
    {
        return $this->httpHost;
    }

    public function getStorages(): Storages
    {
        return $this->storages;
    }
}
