<?php declare(strict_types=1);

namespace App\Dto\Service\DocumentationContent;

use App\Dto\Service\Storage\Storages;
use App\Models\DocumentationContent;

final class StorageDto
{
    /**
     * @var array [][DocumentationContent documentationContent, Storages storages]
     */
    private array $storages = [];

    public function add(DocumentationContent $documentationContent, Storages $storages): void
    {
        $this->storages[] = [
            'documentationContent' => $documentationContent,
            'storages'             => $storages
        ];
    }

    /**
     * @return array [][DocumentationContent documentationContent, Storages storages]
     */
    public function getStorages(): array
    {
        return $this->storages;
    }
}
