<?php declare(strict_types=1);

namespace App\Dto\Service\Site\Feedback;

use App\Dto\HttpUserData;
use App\Dto\Service\Dto;

final readonly class Send extends Dto
{
    public function __construct(
        private string $message,
        private HttpUserData $httpUserData,
        private ?string $name,
        private ?string $email,
    ) { }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function getMessage(): string
    {
        return $this->message;
    }

    public function getHttpUserData(): HttpUserData
    {
        return $this->httpUserData;
    }
}
