<?php declare(strict_types=1);

namespace App\Dto\Service\Storage;

use App\Contracts\StorageType;
use App\Dto\Service\Dto;
use App\Exceptions\Dto\Storage\FileException;

final readonly class File extends Dto
{
    public function __construct(
        private int $id,
        private StorageType $storageType,
    ) {
        if ($this->id < 1) {
            throw new FileException('ID cannot be equal to or less than zero: ' . $this->id);
        }
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getStorageType(): StorageType
    {
        return $this->storageType;
    }
}
