<?php declare(strict_types=1);

namespace App\Dto\Service\Storage;

use App\Dto\Service\Dto;
use App\Enums\Morph;
use App\Enums\StorageType;
use Illuminate\Http\UploadedFile;

final readonly class Upload extends Dto
{
    public function __construct(
        private UploadedFile $file,
        private StorageType  $storageType,
        private Morph        $morph,
    ) { }

    public function getFile(): UploadedFile
    {
        return $this->file;
    }

    public function getStorageType(): StorageType
    {
        return $this->storageType;
    }

    public function getMorph(): Morph
    {
        return $this->morph;
    }
}
