<?php declare(strict_types=1);

namespace App\Dto\View\Volt\Form;

use App\Enums\Morph;
use App\Helpers\Helpers;

final readonly class WysiwygStorageUpload
{
    public function __construct(
        private string      $inputName,
        private Morph       $morph,
    ) { }

    public function getInputName(): string
    {
        return $this->inputName;
    }

    public function getRequestInputName(): string
    {
        return Helpers::formatAttributeNameToRequestName($this->getInputName());
    }

    public function getMorph(): Morph
    {
        return $this->morph;
    }
}
