<?php declare(strict_types=1);

namespace App\Enums;

use Illuminate\Cache\TaggedCache;
use Illuminate\Support\Facades\Cache;

enum CacheTag: string
{
    case Project = 'project';
    case ProjectTranslation = 'project_translation';
    case DocumantationVersion = 'documantation_version';

    public function getCache(): TaggedCache
    {
        return Cache::tags($this->value);
    }
}
