<?php declare(strict_types=1);

namespace App\Exceptions\Services\DocumentationContent;

use App\ServiceResults\ServiceResultError;

final class StorageCommandException extends \Exception
{
    public function __construct(private readonly ServiceResultError $resultError, string $message = "", int $code = 0, ?\Throwable $previous = null)
    {
        parent::__construct($message, $code, $previous);
    }

    public function getResultError(): ServiceResultError
    {
        return $this->resultError;
    }
}
