<?php declare(strict_types=1);

namespace App\Exceptions\Services;

use App\Contracts\ServiceResultError as ServiceResultErrorContract;

final class ServiceException extends \Exception
{
    public function __construct(
        private readonly ServiceResultErrorContract $serviceResultError
    ) {
        parent::__construct($this->serviceResultError->getMessage());
    }

    public function getServiceResultError(): ServiceResultErrorContract
    {
        return $this->serviceResultError;
    }
}
