<?php declare(strict_types=1);

namespace App\Http\Controllers;

use App\Contracts\ServiceResultError as ServiceResultErrorContract;
use Illuminate\Http\Response;

abstract class Controller
{
    final protected function errors(ServiceResultErrorContract $result): never
    {
        if ($result->getCode() === Response::HTTP_UNPROCESSABLE_ENTITY) {
            redirect()->back()->withInput()->withErrors($result->getErrors());
            exit;
        }
        abort($result->getCode(), $result->getMessage());
    }
}
