<?php declare(strict_types = 1);

namespace App\Http\Controllers\Storage;

use App\Http\Requests\Storage\ImageRequest;
use App\Http\Resources\Storage\Upload;
use App\Services\Storage\ImageService;

final class ImagesController extends Controller
{
    public function __construct(
        private readonly ImageService $imageService,
    ) { }

    public function uploadAndResize(ImageRequest $request)
    {
        $data = $request->getDto();
        $user = $request->user();
        $result = $this->imageService->uploadAndResize($data, $user);

        if (!$result->isSuccess()) {
            return response()->json($result->getData())->setStatusCode($result->getCode());
        }

        return response()->json(new Upload($result->getStorage()));
    }
}
