<?php declare(strict_types=1);

namespace App\Http\Middleware;

use App\Services\WebsiteTranslations;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

final class IsWebsiteTranslations
{
    public function handle(Request $request, \Closure $next): Response
    {
        $websiteTranslations = $request->get('websiteTranslations');
        if (\is_null($websiteTranslations)) {
            \abort(Response::HTTP_NOT_FOUND);
        }

        if ($websiteTranslations instanceof WebsiteTranslations === false) {
            \report("$websiteTranslations must be an instance of WebsiteTranslations");
            \abort(Response::HTTP_NOT_FOUND);
        }

        return $next($request);
    }
}
