<?php declare(strict_types=1);

namespace App\Http\Requests\Admin\Languages;

use App\Contracts\FormRequestDto;
use App\Dto\Service\Admin\Language\NewLanguage;
use Illuminate\Foundation\Http\FormRequest;

class NewLanguageRequest extends FormRequest implements FormRequestDto
{
    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'index' => ['required', 'numeric'],
            'name'  => ['required', 'string'],
        ];
    }

    public function getDto(): NewLanguage
    {
        return new NewLanguage(
            name: $this->input('name'),
            index: $this->input('index'),
        );
    }
}
