<?php declare(strict_types=1);

namespace App\Http\Requests\Admin\Projects\DocumentationCategories;

use App\Contracts\FormRequestDto;
use App\Dto\Builder\DocumentationCategory;
use App\Dto\Service\Admin\Project\DocumentationCategory\Index;
use Illuminate\Foundation\Http\FormRequest;

final class IndexRequest extends FormRequest implements FormRequestDto
{
    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'page' => ['nullable', 'numeric', 'min:1']
        ];
    }

    public function getDto(): Index
    {
        return new Index(
            documentationCategory: new DocumentationCategory(),
            page: (int) $this->input('page', 1)
        );
    }
}
