<?php declare(strict_types=1);

namespace App\Http\Requests\Admin\Projects\Documentations;

use App\Contracts\FormRequestDto;
use App\Dto\Builder\Documentation;
use App\Dto\Service\Admin\Project\Documentation\Index;
use Illuminate\Foundation\Http\FormRequest;

final class IndexRequest extends FormRequest implements FormRequestDto
{
    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'page' => ['nullable', 'numeric', 'min:1']
        ];
    }

    public function getDto(): Index
    {
        return new Index(
            documentation: new Documentation(),
            page: (int) $this->input('page', 1)
        );
    }
}
