<?php declare(strict_types=1);

namespace App\Http\Resources\Admin\Languages;

use App\ServiceResults\Admin\LanguageService\NewLanguageResult;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class NewLanguage extends JsonResource
{
    /**
     * @var NewLanguageResult
     */
    public $resource;

    public function toArray(Request $request): array
    {
        return [
            'html' => view('components.volt.forms.languages.language', [
                'index' => $this->resource->getIndex(),
                'name' => $this->resource->getName(),
                'lang' => $this->resource->getLanguage()->toArray(),
            ])->render(),
        ];
    }
}
