<?php declare(strict_types=1);

namespace App\Models;

use App\Contracts\Models\Storage as StorageContract;
use App\Models\Traits\StorageTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

final class ProjectContent extends Model implements StorageContract
{
    use HasFactory, SoftDeletes, StorageTrait;

    protected $table = 'project_content';

    protected $fillable = [
        'title',
        'description',
        'language_id',
    ];
}
