<?php declare(strict_types=1);

namespace App\Models;

use App\Enums\Morph;
use App\Enums\ProjectTranslationServiceHashes\Status;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

final class ProjectTranslationServiceHash extends Model
{
    use HasFactory;

    protected $table = 'project_translation_service_hashes';

    /**
     * The model's default values for attributes.
     *
     * @var array
     */
    protected $attributes = [
        'status' => Status::Waiting,
    ];

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'language_id',
        'field',
        'status',
        'hash',
        'morph_type',
        'morph_id',
    ];

    /**
     * Get the attributes that should be cast.
     *
     * @return array<string, string>
     */
    protected function casts(): array
    {
        return [
            'status'     => Status::class,
            'morph_type' => Morph::class,
        ];
    }
}
