<?php declare(strict_types=1);

namespace App\Models\Traits;

use App\Enums\StorageType;
use App\Models\Storage as StorageModel;
use Illuminate\Support\Collection;
use Illuminate\Database\Eloquent\Relations\MorphMany;

trait StorageTrait
{
    public function storage(): MorphMany
    {
        return $this->morphMany(StorageModel::class, 'morph');
    }

    public function getStorageOne(StorageType $type): ?StorageModel
    {
        return $this->storage->firstWhere('type', $type);
    }

    public function getStorageMany(StorageType $type): Collection
    {
        return $this->storage->where('type', $type);
    }
}
