<?php declare(strict_types=1);

namespace App\Policies;

use App\Enums\SystemRole;
use App\Models\User;

readonly class AdminPanel extends Policy
{
    public function view(User $user): bool
    {
        return
            $user->hasPermission('allow-admin-panel.view')
            || $user->roles->where('code', SystemRole::AdminProject->value)->isNotEmpty();
    }
}
