<?php declare(strict_types=1);

namespace App\Policies;

use App\Models\DocumentationCategory;
use App\Models\User;

final readonly class DocumentationCategoryPolicy extends Policy
{
    public function viewAny(User $user): bool
    {
        return $user->hasPermission('documentation-category.view');
    }

    public function view(User $user, DocumentationCategory $category): bool
    {
        return $user->hasPermission('documentation-category.view');
    }

    public function create(User $user): bool
    {
        return $user->hasPermission('documentation-category.create');
    }

    public function update(User $user, DocumentationCategory $category): bool
    {
        return $user->hasPermission('documentation.update');
    }

    public function delete(User $user, DocumentationCategory $category): bool
    {
        return $user->hasPermission('documentation-category.delete');
    }
}
