<?php declare(strict_types=1);

namespace App\Policies;

use App\Models\Documentation;
use App\Models\User;

final readonly class DocumentationPolicy extends Policy
{
    public function viewAny(User $user): bool
    {
        return $user->hasPermission('documentation.view');
    }

    public function view(User $user, Documentation $documentation): bool
    {
        return $user->hasPermission('documentation.view');
    }

    public function create(User $user): bool
    {
        return $user->hasPermission('documentation.create');
    }

    public function update(User $user, Documentation $documentation): bool
    {
        return $user->hasPermission('documentation.update');
    }

    public function delete(User $user, Documentation $documentation): bool
    {
        return $user->hasPermission('documentation.delete');
    }
}
