<?php declare(strict_types=1);

namespace App\Policies;

use App\Models\ProjectFeedback;
use App\Models\User;

final readonly class ProjectFeedbackPolicy extends Policy
{
    public function viewAny(User $user): bool
    {
        return $user->hasPermission('project-feedback.view');
    }

    public function view(User $user, ProjectFeedback $projectFeedback): bool
    {
        return $user->hasPermission('project-feedback.view');
    }
}
