<?php declare(strict_types=1);

namespace App\Policies;

use App\Models\ProjectTranslation;
use App\Models\User;

final readonly class ProjectTranslationPolicy extends Policy
{
    public function viewAny(User $user): bool
    {
        return $user->hasPermission('project.view');
    }

    public function view(User $user, ProjectTranslation $translation): bool
    {
        return $user->hasPermission('project-translation.view');
    }

    public function update(User $user): bool
    {
        return $user->hasPermission('project-translation.update');
    }
}
