<?php declare(strict_types=1);

namespace App\Repositories;

use App\Models\Project;
use App\Models\ProjectLanguage;

final class ProjectLanguageRepository
{
    public function getProjectLanguageByCodeOrDefault(Project $project, ?string $code): ?ProjectLanguage
    {
        if (\is_null($code)) {
            return $project->languages()->where('is_default', true)->first();
        }

        return $project->languages()->where('code', $code)->first();
    }

    public function isExistsLanguageById(int $projectId, int $languageId): bool
    {
        return ProjectLanguage::query()
            ->where(['id' => $languageId, 'project_id' => $projectId])
            ->exists();
    }
}
