<?php declare(strict_types=1);

namespace App\Repositories;

use App\Models\Storage;
use App\Services\Search\CreateSearchInstanceCommand;
use App\Contracts\Search;

final readonly class StorageRepository
{
    public function __construct(
        private CreateSearchInstanceCommand $createSearchInstanceCommand,
    ) { }

    public function getStorageById(int $id): ?Storage
    {
        return Storage::query()->where('id', $id)->first();
    }

    public function getStoregsByIds(array $ids): Search
    {
        $query = Storage::query()->whereIn('id', $ids);
        return $this->createSearchInstanceCommand->execute($query);
    }
}
