<?php declare(strict_types = 1);

namespace App\ServiceResults\Admin\LanguageService;

use App\Models\ProjectLanguage;
use App\ServiceResults\ServiceResult;

final class NewLanguageResult extends ServiceResult
{
    public function __construct(
        private readonly ProjectLanguage $language,
        private readonly string $name,
        private readonly int $index,
    ) { }

    public function getLanguage(): ProjectLanguage
    {
        return $this->language;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function getIndex(): int
    {
        return $this->index;
    }
}
