<?php declare(strict_types=1);

namespace app\ServiceResults\Site;

use App\Models\Project;
use App\ServiceResults\ServiceResult;
use App\Services\WebsiteTranslations;

final class PagePossibleWithoutTranslation extends ServiceResult
{
    public function __construct(
        private readonly Project $project,
        private readonly WebsiteTranslations $websiteTranslations,
        private readonly array $data,
        private readonly bool  $isTranslation,
    ) { }

    public function isTranslation(): bool
    {
        return $this->isTranslation;
    }

    public function getData(): array
    {
        return $this->data;
    }

    public function getProject(): Project
    {
        return $this->project;
    }

    public function getWebsiteTranslations(): WebsiteTranslations
    {
        return $this->websiteTranslations;
    }
}
