<?php declare(strict_types=1);

namespace App\Services\Admin;

use App\Dto\Service\Admin\Language\NewLanguage;
use App\Models\ProjectLanguage;
use App\ServiceResults\Admin\LanguageService\NewLanguageResult;
use App\ServiceResults\ServiceResultError;
use App\Services\Service;

final class LanguageService extends Service
{
    public function newLanguage(NewLanguage $data): ServiceResultError | NewLanguageResult
    {
        $language = new ProjectLanguage();
        $language->title = "";
        $language->code = "";

        return new NewLanguageResult(
            language: $language,
            name: $data->getName(),
            index: $data->getIndex(),
        );
    }
}
