<?php declare(strict_types=1);

namespace App\Services\DocumentationVersion;

use App\Dto\Builder\DocumentationVersion as DocumentationVersionBuilderDto;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Relations\Relation;

final readonly class BuilderCommand
{
    public function execute(Relation | Builder $query, DocumentationVersionBuilderDto $documentationVersionBuilderDto): Relation | Builder
    {
        if ($documentationVersionBuilderDto->isPublic() !== null) {
            $query->where('is_public', $documentationVersionBuilderDto->isPublic());
        }

        return $query;
    }
}
