<?php declare(strict_types=1);

namespace App\Services\Project;

use App\Dto\Builder\Project as ProjectBuilderDto;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Relations\Relation;

final readonly class BuilderCommand
{
    public function execute(Relation | Builder $query, ProjectBuilderDto $projectBuilderDto): Relation | Builder
    {
        if ($projectBuilderDto->isPublic() !== null) {
            $query->where('is_public', $projectBuilderDto->isPublic());
        }

        return $query;
    }
}
