<?php declare(strict_types=1);

namespace App\Services\Project;

use App\Models\Project;

final readonly class ProjectCommandHandler
{
    public function handleStore(array $data): Project
    {
        return Project::create($data);
    }

    public function handleUpdate(Project $project, array $data): Project
    {
        $project->update($data);
        $project->touch();

        return $project;
    }

    public function handleDestroy(Project $project): void
    {
        $project->delete();
    }
}
