<?php declare(strict_types=1);

namespace App\Services\ProjectLink;

use App\Models\Project;
use App\Models\ProjectLink;

final readonly class ProjectLinkCommandHandler
{
    public function handleStore(Project $project, array $data): ProjectLink
    {
        return $project->links()->create($data);
    }

    public function handleUpdate(ProjectLink $link, array $data): ProjectLink
    {
        $link->update($data);
        return $link;
    }

    public function handleDestroy(ProjectLink $link): void
    {
        $link->delete();
    }
}
