<?php declare(strict_types=1);

namespace App\Services\ProjectTranslationServiceHash;

use App\Enums\ProjectTranslationServiceHashes\Status;
use App\Models\ProjectTranslationServiceHash;

final readonly class ProjectTranslationServiceHashCommandHandler
{
    public function handleStore(array $data): ProjectTranslationServiceHash
    {
        return ProjectTranslationServiceHash::create($data);
    }

    public function handleUpdate(ProjectTranslationServiceHash $hash, array $data): ProjectTranslationServiceHash
    {
        $hash->update($data);
        $hash->touch();
        return $hash;
    }

    public function handleSetStatusById(array $ids, Status $status): void
    {
        ProjectTranslationServiceHash::query()->whereIn('id', $ids)->update(['status' => $status->value]);
    }
}
