<?php declare(strict_types=1);

namespace App\Services\Role;

use App\Enums\SystemRole;
use App\Models\Project;
use App\Models\Role;
use App\Models\User;
use App\Services\User\UserCommandHandler;

final readonly class CreateAdminRoleForProjectCommand
{
    public function __construct(
        private UserCommandHandler $userCommandHandler,
    ){ }

    public function execute(Project $project, User $user): Role
    {
        $data = [
            'name' => 'Administrator',
            'code' => SystemRole::AdminProject->value,

        ];
        $role = $project->roles()->create($data);
        $this->userCommandHandler->attachRole($user, $role);

        return $role;
    }
}
