<?php declare(strict_types=1);

namespace App\View\Components;

use Illuminate\Pagination\Paginator;
use Illuminate\View\Component;
use Illuminate\View\View;

abstract class PrivateLayout extends Component
{
    abstract protected function getNavigation(): string;

    public function render(): View
    {
        Paginator::useBootstrapFive();

        return view('layout.private', [
            'navigation' => $this->getNavigation(),
        ]);
    }
}
