<?php declare(strict_types=1);

namespace App\View\Components\Site;

use App\Services\WebsiteTranslations;
use Illuminate\View\Component;
use Illuminate\View\View;

final class DocumentationVersion extends Component
{
    public function __construct(
        private readonly \App\Models\DocumentationVersion $version,
        private readonly WebsiteTranslations              $websiteTranslations,
    ) { }

    public function render(): View
    {
        return view('components.site.documentation-version', [
            'websiteTranslations' => $this->websiteTranslations,
            'version'             => $this->version,
        ]);
    }
}
