<?php declare(strict_types=1);

namespace App\View\Components\Site\Forms;

use App\Helpers\Helpers;
use Illuminate\View\Component;
use Illuminate\View\View;

abstract class Form extends Component
{
    private ?string $requestName = null;

    abstract protected function getName(): string;
    abstract public function render(): View;

    protected function getRequestName(): string
    {
        if (!is_null($this->requestName)) {
            return $this->requestName;
        }

        $this->requestName = Helpers::formatAttributeNameToRequestName($this->getName());

        return $this->requestName;
    }
}
