<?php declare(strict_types=1);

namespace app\View\Components\Site;

use App\Enums\StorageType;
use App\Models\Project;
use App\Services\WebsiteTranslations;
use Illuminate\View\Component;
use Illuminate\View\View;

final class Layout extends Component
{
    public function __construct(
        private readonly Project $project,
        private readonly WebsiteTranslations $websiteTranslations,
    ) { }

    public function render(): View
    {
        return view('layout.site', [
            'project'  => $this->project,
            'logo'     => $this->project->getStorageOne(StorageType::Logo),
            'websiteTranslations' => $this->websiteTranslations,
        ]);
    }
}
