<?php declare(strict_types=1);

namespace App\View\Components\Volt\Forms;
use Illuminate\View\View;

final class InputTypeHidden extends Form
{
    public function __construct(
        private readonly string $name,
        private readonly ?string $value = null,
    ) { }

    protected function getName(): string
    {
        return $this->name;
    }

    private function getValue(): ?string
    {
        return (string) old($this->getRequestName(), $this->value);
    }

    /**
     * @inheritDoc
     */
    public function render(): View
    {
        return view('components.volt.forms.input-type-hidden', [
            'name' => $this->getName(),
            'requestName' => $this->getRequestName(),
            'value' => $this->getValue(),
        ]);
    }
}
