<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('project_translation_service', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('language_id')->unique();
            $table->foreign('language_id')->references('id')->on('project_languages');
            $table->unsignedBigInteger('source_language_id')->nullable()->index();
            $table->foreign('source_language_id')->references('id')->on('project_languages');
            $table->string('code', 50);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('project_translation_service');
    }
};
