<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('project_translation_service_hashes', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('language_id')->index();
            $table->foreign('language_id')->references('id')->on('project_languages');
            $table->unsignedInteger('morph_type');
            $table->unsignedBigInteger('morph_id');
            $table->string('field', 255);
            $table->unsignedInteger('status')->index()->default(0);
            $table->char('hash', 64);
            $table->timestamps();

            $table->index(['morph_type', 'morph_id']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('project_translation_service_hashes');
    }
};
