@csrf
<x-volt.forms.checkbox :title="__('validation.attributes.is_public')" name="is_public" checkboxValue="1" notCheckedValue="0" :userValue="(string) $category->is_public" />
<x-volt.forms.input :title="__('validation.attributes.slug')" allowed-characters="a-z0-9.-_" name="slug" type="text" :value="$category->slug" required autofocus />
<x-volt.forms.input :title="__('validation.attributes.sort')" name="sort" type="number" :value="$category->sort" required />
<x-volt.forms.select :title="__('validation.attributes.parent_id')" name="parent_id" :list="$categories" :value="(string) $category->parent_id">
    <option value=""></option>
</x-volt.forms.select>

<nav>
    <div class="nav nav-tabs mb-4" id="nav-language-tab" role="tablist">
        @foreach($project->languages as $index => $language)
            <a class="nav-item nav-link @if($index === 0) active @endif" id="language-{{ $language->id }}-tab" data-bs-toggle="tab" href="#language-{{ $language->id }}" role="tab" aria-controls="language-{{ $language->id }}" aria-selected="{{ $index ? 'false' : 'true' }}">{{ $language->title }}</a>
        @endforeach
    </div>
</nav>
<div class="tab-content" id="nav-language-tabContent">
    @foreach($project->languages as $index => $language)
        @php
            $content = $category->contents->firstWhere('language_id', $language->id);
        @endphp
        <div class="tab-pane fade @if($index === 0) show active @endif" id="language-{{ $language->id }}" role="tabpanel" aria-labelledby="language-{{ $language->id }}-tab">
            <x-volt.forms.checkbox :title="__('Edit')" :name="'content-enable-' . $language->id" :user-value="($index === 0) ? 1 : 0" class="content-enable" checkbox-value="1" notCheckedValue="0"/>
            @if($serviceTranslationEnable)
                <x-volt.forms.checkbox :title="__('Automatic translation')" :name="'translate-automatically[' . $language->id . ']'"
                                       :user-value="1" class="language-content" checkbox-value="1"
                                       not-checked-value="0"/>
            @endif
            <x-volt.forms.input :title="__('validation.attributes.title')" :name="'content[' . $language->id . '][title]'" type="text" class="language-content" :disabled="$index !== 0" :value="$content?->title ?? ''" required />
        </div>
    @endforeach
</div>

@canany(['create', 'update'], $category)
    <button class="btn btn-primary" type="submit">{{ __('Save') }}</button>
@endcanany

@push('scripts')
    @include('admin._scripts._click-content-enable', ['classParent' => 'tab-pane', 'classCheckbox' => 'content-enable', 'classContent' => 'language-content'])
@endpush
