@csrf
<x-volt.forms.checkbox :title="__('validation.attributes.is_public')" name="is_public" checkboxValue="1"
                       notCheckedValue="0" :userValue="(string) $documentation->is_public"/>
<x-volt.forms.input :title="__('validation.attributes.slug')" allowed-characters="a-z0-9.-_" name="slug" type="text"
                    :value="$documentation->slug" required autofocus/>
<x-volt.forms.input :title="__('validation.attributes.sort')" name="sort" type="number" :value="$documentation->sort"
                    required/>
<x-volt.forms.select :title="__('validation.attributes.category_id')" name="category_id" :list="$categories"
                     :value="(string) $documentation->category?->id">
    <option value=""></option>
</x-volt.forms.select>

<nav>
    <div class="nav nav-tabs mb-4" id="nav-language-tab" role="tablist">
        @foreach($project->languages as $index => $language)
            <a class="nav-item nav-link @if($index === 0) active @endif" id="language-{{ $language->id }}-tab"
               data-bs-toggle="tab" href="#language-{{ $language->id }}" role="tab"
               aria-controls="language-{{ $language->id }}"
               aria-selected="{{ $index ? 'false' : 'true' }}">{{ $language->title }}</a>
        @endforeach
    </div>
</nav>
<div class="tab-content" id="nav-language-tabContent">
    @foreach($project->languages as $index => $language)
        @php
            $content = $documentation->contents->firstWhere('language_id', $language->id);
        @endphp
        <div class="tab-pane fade @if($index === 0) show active @endif" id="language-{{ $language->id }}"
             role="tabpanel" aria-labelledby="language-{{ $language->id }}-tab">
            <x-volt.forms.checkbox :title="__('Edit')" :name="'content-enable-' . $language->id"
                                   :user-value="($index === 0) ? 1 : 0" class="content-enable" checkbox-value="1"
                                   not-checked-value="0"/>
            @if($serviceTranslationEnable)
                <x-volt.forms.checkbox :title="__('Automatic translation')" :name="'translate-automatically[' . $language->id . ']'"
                                       :user-value="1" class="language-content" checkbox-value="1"
                                       not-checked-value="0"/>
            @endif

            <x-volt.forms.input :title="__('validation.attributes.title')"
                                :name="'content[' . $language->id . '][title]'" type="text" class="language-content"
                                :disabled="$index !== 0" :value="$content?->title ?? ''" required/>
            <x-volt.forms.textarea-wysiwyg
                :title="__('validation.attributes.content')"
                :storageUpload="new \App\Dto\View\Volt\Form\WysiwygStorageUpload(inputName: 'content[' . $language->id . ']', morph: \App\Enums\Morph::DocumentationContent)"
                :name="'content[' . $language->id . '][content]'"
                class="language-content"
                :value="$content?->content"
                :disabled="$index !== 0"
            />
        </div>
    @endforeach
</div>

@canany(['create', 'update'], $documentation)
    <button class="btn btn-primary" type="submit">{{ __('Save') }}</button>
@endcanany

@push('scripts')
    @include('admin._scripts._click-content-enable', ['classParent' => 'tab-pane', 'classCheckbox' => 'content-enable', 'classContent' => 'language-content'])
@endpush
