@section('meta_title', __('admin-sections.Project') . ': ' . $project->name . ' - ' . __('admin-sections.Feedback'))
@section('h1', __('admin-sections.Project') . ': ' . $project->name)
<x-admin.layout>
    <div class="card border-0 shadow mb-4">
        <div class="card-body">
            <h3 id="category" class="mb-4">{{ __('admin-sections.Feedback') }}</h3>
            <div class="table-responsive">
                <table class="table table-centered table-nowrap mb-0 rounded">
                    <thead class="thead-light">
                    <tr>
                        <th class="border-0">{{ __('validation.attributes.date') }}</th>
                        <th class="border-0" style="width: 100%;">{{ __('site.attributes.message') }}</th>
                        <th class="border-0">{{ __('site.attributes.name') }}</th>
                        <th class="border-0">{{ __('site.attributes.email') }}</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($feedbacks as $feedback)
                        <tr>
                            <td data-bs-toggle="tooltip" data-bs-placement="top" title="{{ $feedback->created_at->timezone(\App\Helpers\Helpers::getUserTimeZone())->isoFormat('LLL') }}">
                                {{ $feedback->created_at->diffForHumans() }}
                            </td>
                            <td>{!! $feedback->message !!}</td>
                            <td>
                                <p>{{ $feedback->name }}</p>
                                <p><strong>IP:</strong> {{ $feedback->ip }}</p>
                                <p><strong>UserAgent:</strong> {{ $feedback->user_agent }}</p>
                            </td>
                            <td>{{ $feedback->email }}</td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
                <div class="card-footer border-0">
                    {{ $feedbacks->links() }}
                </div>
            </div>
        </div>
    </div>
</x-admin.layout>
