@section('meta_title', __('admin-sections.Project') . ': ' . $project->name)
@section('h1', __('admin-sections.Project') . ': ' . $project->name)
<x-admin.layout>
    @include('admin.projects._top')
    <div class="card border-0 shadow mb-4">
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-centered table-nowrap mb-0 rounded">
                    <thead class="thead-light">
                    <tr>
                        <th class="border-0">{{ __('admin-sections.Sections') }}</th>
                    </tr>
                    </thead>
                    <tbody>
                        @can('viewAny', \App\Models\DocumentationVersion::class)
                            <tr>
                                <td>
                                    <a href="{{ route('admin.projects.documentation-versions.index', ['project' => $project->id]) }}" class="fw-bold">
                                        <svg width="16" height="16" class="align-text-top" data-slot="icon" fill="none" stroke-width="1.5" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
                                            <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 12.75V12A2.25 2.25 0 0 1 4.5 9.75h15A2.25 2.25 0 0 1 21.75 12v.75m-8.69-6.44-2.12-2.12a1.5 1.5 0 0 0-1.061-.44H4.5A2.25 2.25 0 0 0 2.25 6v12a2.25 2.25 0 0 0 2.25 2.25h15A2.25 2.25 0 0 0 21.75 18V9a2.25 2.25 0 0 0-2.25-2.25h-5.379a1.5 1.5 0 0 1-1.06-.44Z"></path>
                                        </svg>
                                        {{ __('admin-sections.Documentation') }}
                                    </a>
                                </td>
                            </tr>
                        @endcan
                        @can('viewAny', \App\Models\ProjectContent::class)
                            <tr>
                                <td>
                                    <a href="{{ route('admin.projects.about.languages', ['project' => $project->id]) }}" class="fw-bold">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="align-text-top" viewBox="0 0 16 16">
                                            <path d="M12.854.146a.5.5 0 0 0-.707 0L10.5 1.793 14.207 5.5l1.647-1.646a.5.5 0 0 0 0-.708l-3-3zm.646 6.061L9.793 2.5 3.293 9H3.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.207l6.5-6.5zm-7.468 7.468A.5.5 0 0 1 6 13.5V13h-.5a.5.5 0 0 1-.5-.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.5-.5V10h-.5a.499.499 0 0 1-.175-.032l-.179.178a.5.5 0 0 0-.11.168l-2 5a.5.5 0 0 0 .65.65l5-2a.5.5 0 0 0 .168-.11l.178-.178z"/>
                                        </svg>
                                        {{ __('admin-sections.About project') }}
                                    </a>
                                </td>
                            </tr>
                        @endcan
                        @can('viewAny', \App\Models\ProjectLink::class)
                            <tr>
                                <td>
                                    <a href="{{ route('admin.projects.links.index', ['project' => $project->id]) }}" class="fw-bold">
                                        <svg data-slot="icon" width="16" height="16" fill="none" stroke-width="1.5" stroke="currentColor" class="align-text-top" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
                                            <path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 0 1 1.242 7.244l-4.5 4.5a4.5 4.5 0 0 1-6.364-6.364l1.757-1.757m13.35-.622 1.757-1.757a4.5 4.5 0 0 0-6.364-6.364l-4.5 4.5a4.5 4.5 0 0 0 1.242 7.244"></path>
                                        </svg>
                                        {{ __('admin-sections.Links project') }}
                                    </a>
                                </td>
                            </tr>
                        @endcan
                        @can('viewAny', \App\Models\ProjectTranslation::class)
                            <tr>
                                <td>
                                    <a href="{{ route('admin.projects.translations.languages', ['project' => $project->id]) }}" class="fw-bold">
                                        <svg width="16" height="16" data-slot="icon" class="align-text-top" fill="none" stroke-width="1.5" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
                                            <path stroke-linecap="round" stroke-linejoin="round" d="m10.5 21 5.25-11.25L21 21m-9-3h7.5M3 5.621a48.474 48.474 0 0 1 6-.371m0 0c1.12 0 2.233.038 3.334.114M9 5.25V3m3.334 2.364C11.176 10.658 7.69 15.08 3 17.502m9.334-12.138c.896.061 1.785.147 2.666.257m-4.589 8.495a18.023 18.023 0 0 1-3.827-5.802"></path>
                                        </svg>
                                        {{ __('admin-sections.Translations') }}
                                    </a>
                                </td>
                            </tr>
                        @endcan
                        @can('viewAny', \App\Models\ProjectFeedback::class)
                            <tr>
                                <td>
                                    <a href="{{ route('admin.projects.feedbacks.index', ['project' => $project->id]) }}" class="fw-bold">
                                        <svg width="16" height="16" class="align-text-top" data-slot="icon" fill="none" stroke-width="1.5" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
                                            <path stroke-linecap="round" stroke-linejoin="round" d="M8.625 12a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm0 0H8.25m4.125 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm0 0H12m4.125 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm0 0h-.375M21 12c0 4.556-4.03 8.25-9 8.25a9.764 9.764 0 0 1-2.555-.337A5.972 5.972 0 0 1 5.41 20.97a5.969 5.969 0 0 1-.474-.065 4.48 4.48 0 0 0 .978-2.025c.09-.457-.133-.901-.467-1.226C3.93 16.178 3 14.189 3 12c0-4.556 4.03-8.25 9-8.25s9 3.694 9 8.25Z"></path>
                                        </svg>
                                        {{ __('admin-sections.Feedback') }}
                                    </a>
                                </td>
                            </tr>
                        @endcan
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</x-admin.layout>
