<div class="form-block">
    <label for="form-textarea-wysiwyg-{{ $requestName }}">
        {{ $title }}
        @if($attributes->get('required'))
            <span>{{ $websiteTranslations->translate('site.required field') }}</span>
        @endif
    </label>
    <textarea class="form-control textarea-tinymce @error($requestName) is-invalid @enderror" name="{{ $name }}" id="form-textarea-wysiwyg-{{ $requestName }}" rows="3">{{ $value }}</textarea>
    @error($requestName)
    <span class="invalid-feedback">{{ $message }}</span>
    @enderror
</div>
@pushOnce('scripts')
    <script src="{{ asset('/build/tinymce/tinymce.min.js') }}" referrerpolicy="origin"></script>
    <script>
        document.addEventListener('DOMContentLoaded', () => {
            tinymce.init({
                selector: '.textarea-tinymce',
                @if(in_array(app()->getLocale(), ['ru'], true))
                    language: '{{ app()->getLocale() }}',
                @endif
                license_key: '{{ $tinymceLicenseKey }}',
                plugins: 'emoticons lists table',
                toolbar: 'bold italic | bullist numlist table | emoticons',
                menubar: false,
                mobile: {
                    menubar: false,
                    plugins: 'emoticons lists table',
                    toolbar: 'bold italic bullist numlist table emoticons',
                },
                referrer_policy: 'origin',

            });
        });
    </script>
@endpushonce
