<div class="upload-image mt-3 mb-4 rounded border border-1 p-3" data-morph="{{ $morph->value }}" data-storage-type="{{ $storageType->value }}" data-accepted-files="{{
    $acceptedFiles->map(function (string $name) {
        return '.' . $name;
    })->implode(',')
}}">
    <label>{{ $title }}</label>
    <div>
        <div class="mb-3 add-image" @if(\is_null($storage?->id)) style="display: none;" @endif>
            <div class="position-relative d-inline-block">
                <img class="img-fluid" src="{{ $storage->url ?? '' }}">
                <button class="btn btn-danger m-0 add-image__remove position-absolute top-0 end-0" type="button">X</button>
            </div>
        </div>
        <button class="btn btn-outline-primary upload-image__button" type="button">{{ __('Select images') }} ({{ $acceptedFiles->implode(', ') }})</button>
        <div class="progress-wrapper" style="display: none">
            <div class="progress-info">
                <div class="progress-label">
                    <span class="text-success">{{ __('loading') }}</span>
                </div>
                <div class="progress-percentage">
                    <span class="upload-image__progressbar-text">0%</span>
                </div>
            </div>
            <div class="progress">
                <div class="progress-bar bg-success" role="progressbar" style="width: 0%;" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
            </div>
        </div>
    </div>
    <span class="invalid-feedback upload-image__error"></span>
    <x-volt.forms.input-type-hidden :name="$name . '[file]'" class="save" :value="$storage->id ?? ''" />
    <x-volt.forms.input-type-hidden :name="$name . '[delete]'" class="delete" value="0" />
</div>
