@section('meta_title', $websiteTranslations->translate('site.Feedback'))
@section('h1', $websiteTranslations->translate('site.Feedback'))

<x-site.layout :project="$project" :websiteTranslations="$websiteTranslations">
    @if(Session::has('success') !== true)
        <form method="post" action="{{ \App\Enums\Site\ProjectSection::FeedbackSend->url($project, $websiteTranslations->getLanguage()) }}">
            @csrf
            <x-site.forms.input :title="$websiteTranslations->translate('site.attributes.name')" :websiteTranslations="$websiteTranslations" name="name" type="text" value="" autofocus />
            <x-site.forms.input :title="$websiteTranslations->translate('site.attributes.email')" :websiteTranslations="$websiteTranslations" name="email" type="text" value="" />
            <x-site.forms.textarea-wysiwyg :title="$websiteTranslations->translate('site.attributes.message')" :websiteTranslations="$websiteTranslations" required name="message" value="" />
            @if($captcha)
                <div class="form-block">
                    @captcha
                    @error('captcha-verified')
                        <span class="invalid-feedback">{{ $message }}</span>
                    @enderror
                </div>
            @endif
            <div class="form-block">
                <button class="button" type="submit">{{ $websiteTranslations->translate('site.Feedback-send') }}</button>
            </div>
        </form>
    @endif
</x-site.layout>
