@section('meta_title', $category->content?->title . ' - ' . $project->name . ' ' . $version->title)
@section('h1', $category->content?->title)

<x-site.layout :project="$project" :websiteTranslations="$websiteTranslations" :documentationVersion="$version">
    @foreach($categories as $category)
        @continue(! $category->content?->title)
        <p><a href="{{ \App\Enums\Site\ProjectSection::DocumentationCategory->url($project, $websiteTranslations->getLanguage(), ['version' => $version->slug, 'slug' => $category->slug]) }}">{{ $category->content->title }}</a></p>
    @endforeach
    @foreach($documentations as $documentation)
        @continue(! $documentation->content?->title)
        <p><a href="{{ \App\Enums\Site\ProjectSection::DocumentationView->url($project, $websiteTranslations->getLanguage(), ['version' => $version->slug, 'slug' => $documentation->slug]) }}">{{ $documentation->content->title }}</a></p>
    @endforeach
</x-site.layout>
